EDIT - bug #7998

Store newly created Characters in selected vocabulary
01/17/2019 09:27 AM - Patrick Plitzner

Status: Closed Start date:

Priority: Highest Due date:

Assignee: Patrick Plitzner % Done: 100%
Category: taxeditor Estimated time: 0:00 hour
Target version: Release 5.5

Severity: normal Found in Version:

Description

Characters, just like Features, should be assigned to a vocabulary

Associated revisions

Revision 6df52dba - 01/17/2019 10:31 AM - Patrick Plitzner

fix #7998 Store newly created Characters in selected vocabulary

Revision 1fb87aac - 02/01/2019 12:02 PM - Patrick Plitzner
ref #7998 Fix possible NPE

Revision d58179dd - 02/01/2019 12:14 PM - Patrick Plitzner
ref #7998 Disabled vocabulary text field

Revision 692d47bc - 02/07/2019 11:11 AM - Patrick Plitzner

ref #7998 Set voc text field to editable=false, allowing text select

Revision e01c7145 - 02/07/2019 12:14 PM - Patrick Plitzner

ref #7998 Enlarge vertical size of "new" wizard pages

Revision 5710b5c7 - 02/08/2019 12:20 PM - Patrick Plitzner

ref #7998 Set label for new vocabularies to null in new voc wizards

e check page completeness via label==null

Revision 132209be - 02/08/2019 03:36 PM - Patrick Plitzner

ref #7998 Set feature tree text field to editable=false

Revision 1184c8e0 - 02/11/2019 11:28 AM - Patrick Plitzner
ref #7998 Add service method for UuidAndTitleCache by term type

Revision 6b29¢c7a0 - 02/11/2019 11:34 AM - Patrick Plitzner
ref #7998 Add termType to vocabulary selection dialog

Revision 7b130084 - 02/11/2019 12:24 PM - Patrick Plitzner

ref #7998 Extend selection dialog to allow multiple filter elements

Revision 3e81¢99c - 02/11/2019 12:24 PM - Patrick Plitzner

ref #7998 hard-coded filter for Feature and Name Feature vocabularies

Revision a9fe6b8d - 02/11/2019 03:32 PM - Patrick Plitzner
ref #7998 fix potential NPE

History

#1-01/17/2019 10:02 AM - Andreas Miiller
... but better force the user to choose from an existing (semantically defined) vocabulary if possible

#2-01/17/2019 10:12 AM - Andreas Miiller

- Target version changed from Unassigned CDM tickets to Release 5.6

#3 - 01/17/2019 10:31 AM - Patrick Plitzner
- Subject changed from Store newly created Characters in default vocabulary to Store newly created Characters in selected vocabulary

- Target version changed from Release 5.6 to Unassigned CDM tickets

#4 - 01/17/2019 10:32 AM - Patrick Plitzner
- Status changed from New to Resolved

- % Done changed from 0 to 50

Applied in changeset taxeditor|6df52dba735b4b44{8f78335644dfc8480292b8c.

#5-01/17/2019 10:32 AM - Patrick Plitzner

- Assignee changed from Patrick Plitzner to Andreas Muiller

#6 - 01/17/2019 12:16 PM - Andreas Miiller

- Target version changed from Unassigned CDM tickets to Release 5.5

#7 - 01/27/2019 09:59 AM - Andreas Miiller
- Status changed from Resolved to Feedback

- Assignee changed from Andreas Miiller to Patrick Plitzner

If choosing "Create new" in the vocabulary selection dialog it looks like the new vocabulary is not stored in the DB. Also when trying to create a
character with the vocabulary (it shows up in the textbox) | get "Please select a vocabulary for the characters" though a vocabulary is chosen.

#8 - 01/27/2019 10:02 AM - Andreas Miiller

| wonder if we should not have a TermType "Character". Currently it looks like you choose the vocabularies from the Feature vocabularies (correct?).
This is probably not fully correct though Character is a subtype of Feature. What do you think?

#9 - 01/27/2019 10:48 AM - Andreas Miiller

Andreas Muller wrote:

If choosing "Create new" in the vocabulary selection dialog it looks like the new vocabulary is not stored in the DB. Also when trying to create a
character with the vocabulary (it shows up in the textbox) | get "Please select a vocabulary for the characters" though a vocabulary is chosen.

Upps sorry | was wrong, what | did was to select the Feature Tree for the Characters, NOT the vocabulary. However, there is a minor issue with the
creation: the label is not written into the titteCache so in DB and in FeatureTreeEditior it shows up as "xxx.FeatureTree: {uuid}"

#10 - 01/27/2019 10:55 AM - Andreas Miiller

A major issue is that now the Vocabulary chooser allows to choose from ALL existing vocabularies, but only the Feature (or even better Character,
see comment above) vocabularies should be shown.

#11 - 01/27/2019 11:00 AM - Andreas Miiller
Andreas Miller wrote:
However, there is a minor issue with the creation: the label is not written into the titleCache so in DB and in FeatureTreeEditior it shows up as

"xxx.FeatureTree: {uuid}"

Hmm, second time when | tried it worked correctly. By the way, in the first case the protectedTitleCache was 0 in all other cases (also in the second
case) it was 1.

#12 - 01/27/2019 11:08 AM - Andreas Miiller
When pressing cancel in vocabulary selector an NPE is thrown:
login : admin

editor version : 5.5.0.201901242349
server : test.e-taxonomy.eu (edit-test) / rem_conf_am
schema version : 5.0.0.0.20180514
os : Windows Server 2012 R2 6.3 amd64
Java : 1.8.0_121
java.lang.NullPointerException
at eu.etaxonomy.taxeditor.editor.descriptiveDataSet.character.CharacterEditor$l.widgetSelected (CharacterEd
itor.java:150)
at org.eclipse.swt.widgets.TypedListener.handleEvent (TypedListener. java:249)
at org.eclipse.swt.widgets.EventTable.sendEvent (EventTable. java:84)
at org.eclipse.swt.widgets.Display.sendEvent (Display.java:4418)
at org.eclipse.swt.widgets.Widget.sendEvent (Widget.java:1079)
at org.eclipse.swt.widgets.Display.runDeferredEvents (Display.java:4236)
at org.eclipse.swt.widgets.Display.readAndDispatch (Display.java:3824)
at org.eclipse.e4.ui.internal.workbench.swt.PartRenderingEngine$4.run (PartRenderingEngine. java:1121)
at org.eclipse.core.databinding.observable.Realm.runWithDefault (Realm. java:336)
at org.eclipse.e4.ui.internal.workbench.swt.PartRenderingEngine.run (PartRenderingEngine.java:1022)
at org.eclipse.e4d.ui.internal.workbench.E4Workbench.createAndRunUI (E4Workbench. java:150)
at org.eclipse.ui.internal.Workbench$5.run (Workbench. java:693)
at org.eclipse.core.databinding.observable.Realm.runWithDefault (Realm. java:336)
at org.eclipse.ui.internal.Workbench.createAndRunWorkbench (Workbench. java:610)
at org.eclipse.ui.PlatformUI.createAndRunWorkbench (PlatformUI. java:148)
at eu.etaxonomy.taxeditor.Application.start (Application.java:24)
at org.eclipse.equinox.internal.app.EclipseAppHandle.run (EclipseAppHandle. java:196)
at org.eclipse.core.runtime.internal.adaptor.EclipseAppLauncher.runApplication (EclipseAppLauncher. java:134

at org.eclipse.core.runtime.internal.adaptor.EclipseAppLauncher.start (EclipseAppLauncher.java:104)
at org.eclipse.core.runtime.adaptor.EclipseStarter.run (EclipseStarter. java:388)

at org.eclipse.core.runtime.adaptor.EclipseStarter.run(EclipseStarter.java:243)

at sun.reflect.NativeMethodAccessorImpl.invokeO (Native Method)

at sun.reflect.NativeMethodAccessorImpl.invoke (NativeMethodAccessorImpl. java:62)

at sun.reflect.DelegatingMethodAccessorImpl.invoke (DelegatingMethodAccessorImpl. java:43)

at java.lang.reflect.Method.invoke (Method. java:498)

at org.eclipse.equinox.launcher.Main.invokeFramework (Main. java:673)

at org.eclipse.equinox.launcher.Main.basicRun (Main. java:610)

at org.eclipse.equinox.launcher.Main.run (Main.java:1519)

#13 - 01/27/2019 11:25 AM - Andreas Miiller
Related to Character Editor:
it also happened once during testing that the new characters were not updated in the character tree Ul (no feedback at all) but seem to be persisted.

They all got the same orderindex and therefore after restart only the first did show up in the tree afterwards.
But | couldn't reproduce this behaviour. But want to mention here in case it reappears.

#14 - 01/27/2019 11:27 AM - Andreas Miiller

The text field is writable but shouldn't. Selection is done only via selection dialog. Should be same as for the tree selections below (by the way it
would be nice to disable these fields for writing but making accessible for text copy, which should be the default for non-writable fields.

#15 - 02/01/2019 12:08 PM - Patrick Plitzner
Andreas Muller wrote:
If choosing "Create new" in the vocabulary selection dialog it looks like the new vocabulary is not stored in the DB. Also when trying to create a

character with the vocabulary (it shows up in the textbox) | get "Please select a vocabulary for the characters" though a vocabulary is chosen.

This all works for me. The newly created vocabulary is stored as soon as you close the creation dialog and no warning appeared afterwards.
#16 - 02/01/2019 12:10 PM - Patrick Plitzner
Andreas Muller wrote:

I wonder if we should not have a TermType "Character". Currently it looks like you choose the vocabularies from the Feature vocabularies

(correct?). This is probably not fully correct though Character is a subtype of Feature. What do you think?

Yes, that would be much better. Currently the vocabularies are not filtered at all. Even NamedAreas vocabularies show up.

#17 - 02/01/2019 12:14 PM - Patrick Plitzner

Andreas Muller wrote:

The text field is writable but shouldn't. Selection is done only via selection dialog. Should be same as for the tree selections below (by the way it
would be nice to disable these fields for writing but making accessible for text copy, which should be the default for non-writable fields.
This is fixed

#18 - 02/01/2019 12:15 PM - Patrick Plitzner
- Status changed from Feedback to Resolved

- Assignee changed from Patrick Plitzner to Andreas Miiller

Seems like all of the (reproducible) issues are fixed. Can you please review again?

#19 - 02/04/2019 11:55 AM - Andreas Miiller
- Status changed from Resolved to Feedback
- Assignee changed from Andreas Miiller to Patrick Plitzner
Patrick Plitzner wrote:
Andreas Miiller wrote:
| wonder if we should not have a TermType "Character". Currently it looks like you choose the vocabularies from the Feature vocabularies
(correct?). This is probably not fully correct though Character is a subtype of Feature. What do you think?

Yes, that would be much better. Currently the vocabularies are not filtered at all. Even NamedAreas vocabularies show up.

So why don't you filter by term type? This should be urgently done as otherwise we may accidentely clutter other vocabularies. Also the 2 CDM
vocabularies for features "Feature" and "Name Feature" should not be shown to avoid people store characters there. Once #8012 is pushed to
"develop” we can then update the term type to allow only "Character" terms.

#20 - 02/04/2019 12:02 PM - Andreas Miiller
Andreas Miller wrote:
The text field is writable but shouldn't. Selection is done only via selection dialog. Should be same as for the tree selections below (by the way it

would be nice to disable these fields for writing but making accessible for text copy, which should be the default for non-writable
fields).

Is it not possible to make them available for copy or did you forget?

#21 - 02/04/2019 12:06 PM - Andreas Miiller

Now, if you create a new vocabulary via "New Vocabulary" the default label is "empty representation". Is this necessary? | think we should simply
leave this field empty and disable the "Finish" button as long as label is empty.

Also we may want to increase the dialog a bit to make all data available without scrolling. At least on Windows it misses only a little bit.

#22 - 02/07/2019 11:31 AM - Patrick Plitzner

Andreas Muller wrote:
Andreas Muller wrote:
The text field is writable but shouldn't. Selection is done only via selection dialog. Should be same as for the tree selections below (by the

way it would be nice to disable these fields for writing but making accessible for text copy, which should be the default for
non-writable fields).

Is it not possible to make them available for copy or did you forget?

this is fixed

#23 - 02/07/2019 11:42 AM - Patrick Plitzner
Andreas Miller wrote:
Now, if you create a new vocabulary via "New Vocabulary" the default label is "empty representation”. Is this necessary? | think we should simply

leave this field empty and disable the "Finish" button as long as label is empty.

This is due to the titleCache creation for newly created vocabularies. Changing this would have to be done in cdmlib. In the wizard the detail element
for vocabularies is re-used so changing this here would also affect the details view

#24 - 02/07/2019 12:14 PM - Patrick Plitzner
- Status changed from Feedback to Resolved

- Assignee changed from Patrick Plitzner to Andreas Mliller

Also we may want to increase the dialog a bit to make all data available without scrolling. At least on Windows it misses only a little bit.

Enlarged the vertical size a little

#25 - 02/07/2019 06:41 PM - Andreas Miiller
- Status changed from Resolved to Feedback
- Assignee changed from Andreas Miiller to Patrick Plitzner

Patrick Plitzner wrote:

Also we may want to increase the dialog a bit to make all data available without scrolling. At least on Windows it misses only a little bit.

Enlarged the vertical size a little

There seems to be a lot of whitespace below the last field (Term Source URI). Is this necessary? It leads to a vertical scrollbar though the scrollbar is
not necessary anymore.

#26 - 02/07/2019 06:44 PM - Andreas Miiller
Patrick Plitzner wrote:
Andreas Miller wrote:
Now, if you create a new vocabulary via "New Vocabulary" the default label is "empty representation". Is this necessary? | think we should

simply leave this field empty and disable the "Finish" button as long as label is empty.

This is due to the titleCache creation for newly created vocabularies. Changing this would have to be done in cdmlib. In the wizard the detail
element for vocabularies is re-used so changing this here would also affect the details view

But can't we adapt the text if in the text field to empty string programmatically in this case. | can't imagine this can not be done. But | am not so deep
in it.
Also there is still the issue that the Finish button is enabled even if Label is empty. This should not be the case, we always need a valid label.

#27 - 02/08/2019 12:21 PM - Patrick Plitzner
- Status changed from Feedback to Resolved
- Assignee changed from Patrick Plitzner to Andreas Miiller
Andreas Miller wrote:
Patrick Plitzner wrote:
Andreas Muller wrote:
Now, if you create a new vocabulary via "New Vocabulary" the default label is "empty representation”. Is this necessary? | think we

should simply leave this field empty and disable the "Finish" button as long as label is empty.

This is due to the titleCache creation for newly created vocabularies. Changing this would have to be done in cdmlib. In the wizard the detail
element for vocabularies is re-used so changing this here would also affect the details view

But can't we adapt the text if in the text field to empty string programmatically in this case. | can't imagine this can not be done. But | am not so
deepinit.
Also there is still the issue that the Finish button is enabled even if Label is empty. This should not be the case, we always need a valid label.
This is fixed. | was thinking too complicated.

#28 - 02/08/2019 12:25 PM - Patrick Plitzner

Andreas Muller wrote:

Patrick Plitzner wrote:

Also we may want to increase the dialog a bit to make all data available without scrolling. At least on Windows it misses only a little bit.

Enlarged the vertical size a little

There seems to be a lot of whitespace below the last field (Term Source URI). Is this necessary? It leads to a vertical scrollbar though the
scrollbar is not necessary anymore.

This is quick fix. It seems like the overall layout of the whole page has to be re-worked

#29 - 02/08/2019 03:12 PM - Andreas Miiller

Patrick Plitzner wrote:
Andreas Muller wrote:
Patrick Plitzner wrote:

Andreas Mdiller wrote:

Now, if you create a new vocabulary via "New Vocabulary" the default label is "empty representation". Is this necessary? | think
we should simply leave this field empty and disable the "Finish" button as long as label is empty.

This is due to the titleCache creation for newly created vocabularies. Changing this would have to be done in cdmlib. In the wizard the
detail element for vocabularies is re-used so changing this here would also affect the details view

But can't we adapt the text if in the text field to empty string programmatically in this case. | can't imagine this can not be done. But | am not
so deepin it.

Also there is still the issue that the Finish button is enabled even if Label is empty. This should not be the case, we always need a valid
label.

This is fixed. | was thinking too complicated.

This seems to work as expected now

#30 - 02/08/2019 03:14 PM - Andreas Miiller
Patrick Plitzner wrote:

Andreas Muller wrote:

Andreas Muller wrote:

The text field is writable but shouldn't. Selection is done only via selection dialog. Should be same as for the tree selections below (by

the way it would be nice to disable these fields for writing but making accessible for text copy, which should be the default
for non-writable fields).

Is it not possible to make them available for copy or did you forget?

this is fixed

would be nice to have this also for structure tree, properties tree and character tree text fields

#31 - 02/08/2019 03:17 PM - Andreas Miiller

As mentioned before(?) | would put the character selection input more to the character part of the Ul not to the top row. There is is unclear what it
belongs to and it also creates a lot of space. But as long as this is experimental this is a minor issue.
#32 - 02/08/2019 03:19 PM - Andreas Miiller
- Status changed from Resolved to Feedback
- Assignee changed from Andreas Miiller to Patrick Plitzner

- % Done changed from 50 to 90

The primary task he has been fixed, all open issues are minor as can be solved later, so if you want we can close this ticket. Maybe open ticket(s) for
remaining issues. It is still experimental anyway.

#33 - 02/08/2019 03:36 PM - Patrick Plitzner
Andreas Muller wrote:
Patrick Plitzner wrote:
Andreas Miiller wrote:
Andreas Muller wrote:
The text field is writable but shouldn't. Selection is done only via selection dialog. Should be same as for the tree selections below

(by the way it would be nice to disable these fields for writing but making accessible for text copy, which should be the
default for non-writable fields).

Is it not possible to make them available for copy or did you forget?

this is fixed

would be nice to have this also for structure tree, properties tree and character tree text fields

This is fixed

#34 - 02/08/2019 03:37 PM - Patrick Plitzner
- Status changed from Feedback to Closed
- % Done changed from 90 to 100

#35 - 02/08/2019 04:02 PM - Andreas Miiller
- Status changed from Closed to Feedback

- Priority changed from New to Highest

- % Done changed from 100 to 80

Sorry as the comment list is long already | forgot to check the most important issue again which is mentioned in #7998#note-19 and #7998#note-10.

We need to filter the available vocabularies by term type. Currently termType "Feature” later it will be "Character". The current implementation is really
dangerous as it may store characters in completely wrong vocabularies.

Also we should hardcode to not allow to store in the CDM vocabularies "Feature"("b187d555-f06f-4d65-9e53-da7¢93f8eaa8") and
"NameFeature"("a7ca3eef-4092-49e1-beec-ed5096193e5e") as these should not be used for this.

#36 - 02/11/2019 12:26 PM - Patrick Plitzner
- Status changed from Feedback to Resolved

- Assignee changed from Patrick Plitzner to Andreas Muiller

Andreas Muller wrote:

Sorry as the comment list is long already | forgot to check the most important issue again which is mentioned in #7998#note-19 and
#7998#note-10.

We need to filter the available vocabularies by term type. Currently termType "Feature" later it will be "Character". The current implementation is
really dangerous as it may store characters in completely wrong vocabularies.

Also we should hardcode to not allow to store in the CDM vocabularies "Feature"("b187d555-f06f-4d65-9e53-da7c93f8eaa8") and
"NameFeature"("a7ca3eef-4092-49e1-beec-ed5096193e5e") as these should not be used for this.

The filter is implemented.

03/20/2024 7/9


https://dev.e-taxonomy.eu/redmine/issues/7998#note-19
https://dev.e-taxonomy.eu/redmine/issues/7998#note-10
https://dev.e-taxonomy.eu/redmine/issues/7998#note-19
https://dev.e-taxonomy.eu/redmine/issues/7998#note-10

#37 - 02/11/2019 11:10 PM - Andreas Miiller
- Status changed from Resolved to Feedback

- Assignee changed from Andreas Miiller to Patrick Plitzner

With the latest version 5.5.0.201902111448 | get NoSuchMethodException which is strange because the method seems to be commited in cdmlib
with commit 1184c8e0afa925a6 at about 12am.

| was searching in CharEditor char vocabulary with "*".
Have you tested on test server with nightly?

login : admin
editor version : 5.5.0.201902111448
server : test.e-taxonomy.eu (edit-test) / rem_conf_am
schema version : 5.0.0.0.20180514
os : Windows Server 2012 R2 6.3 amd64
java : 1.8.0_121
org.springframework.remoting.RemoteInvocationFailureException: Invocation of method [public abstract java.util
.List eu.etaxonomy.cdm.api.service.IVocabularyService.getUuidAndTitleCache (java.lang.Class,eu.etaxonomy.cdm.mo
del.common.TermType, java.lang.Integer, java.lang.String)] failed in HTTP invoker remote service at [http://test
.e—taxonomy.eu:80/cdmserver/rem_conf_am/remoting/vocabulary.service]; nested exception is java.lang.NoSuchMeth
odException: com.sun.proxy.$Proxyl129.getUuidAndTitleCache (java.lang.Class, eu.etaxonomy.cdm.model.common.Term
Type, Jjava.lang.Integer, java.lang.String)

at org.springframework.remoting.httpinvoker.HttpInvokerClientInterceptor.invoke (HttpInvokerClientIntercept
or.java:158)

at org.springframework.aop.framework.ReflectiveMethodInvocation.proceed (ReflectiveMethodInvocation. java:17
9)

at org.springframework.aop.framework.JdkDynamicAopProxy.invoke (JdkDynamicAopProxy.java:208)

at com.sun.proxy.S$SProxy5l.getUuidAndTitleCache (Unknown Source)

at eu.etaxonomy.taxeditor.ui.dialog.selection.TermVocabularySelectionDialog.callService (TermVocabularySele
ctionDialog. java:73)

at eu.etaxonomy.taxeditor.ui.dialog.selection.AbstractFilteredCdmResourceSelectionDialog.search (AbstractFi
lteredCdmResourceSelectionDialog. java:569)

at eu.etaxonomy.taxeditor.ui.dialog.selection.SearchDialog$2.modifyText (SearchDialog. java:178)

at org.eclipse.swt.widgets.TypedListener.handleEvent (TypedListener. java:180)

at org.eclipse.swt.widgets.EventTable.sendEvent (EventTable. java:84)

at org.eclipse.swt.widgets.Display.sendEvent (Display.java:4418)

at org.eclipse.swt.widgets.Widget.sendEvent (Widget.java:1079)

at org.eclipse.swt.widgets.Widget.sendEvent (Widget.java:1103)

at org.eclipse.swt.widgets.Widget.sendEvent (Widget.java:1084)

at org.eclipse.swt.widgets.Text.wmCommandChild (Text.java:3122)

at org.eclipse.swt.widgets.Control.WM_COMMAND (Control. java:4947)

at org.eclipse.swt.widgets.Control.windowProc (Control. java:4802)

at org.eclipse.swt.widgets.Display.windowProc (Display.java:5123)

at org.eclipse.swt.internal.win32.0S.CallWindowProcW (Native Method)

at org.eclipse.swt.internal.win32.0S.CallWindowProc (0S.java:2446)

at org.eclipse.swt.widgets.Text.callWindowProc (Text.java:262)

at org.eclipse.swt.widgets.Control.windowProc (Control. java:4897)

at org.eclipse.swt.widgets.Text.windowProc (Text.java:2704)

at org.eclipse.swt.widgets.Display.windowProc (Display.java:5110)

at org.eclipse.swt.internal.win32.0S.DispatchMessageW (Native Method)

at org.eclipse.swt.internal.win32.0S.DispatchMessage (0S.java:2552)

at org.eclipse.swt.widgets.Display.readAndDispatch (Display.java:3822)

at org.eclipse. jface.window.Window.runEventLoop (Window. java:818)

at org.eclipse. jface.window.Window.open (Window. java:794)

at eu.etaxonomy.taxeditor.ui.dialog.selection.AbstractFilteredCdmResourceSelectionDialog.getUuidAndTitleCa
cheSelectionFromDialog (AbstractFilteredCdmResourceSelectionDialog. java:163)

at eu.etaxonomy.taxeditor.ui.dialog.selection.AbstractFilteredCdmResourceSelectionDialog.getSelectionFromD
ialog (AbstractFilteredCdmResourceSelectionDialog. java:144)

at eu.etaxonomy.taxeditor.ui.dialog.selection.TermVocabularySelectionDialog.select_internal (TermVocabulary
SelectionDialog. java:56)

at eu.etaxonomy.taxeditor.ui.dialog.selection.TermVocabularySelectionDialog.select (TermVocabularySelection
Dialog.java:38)

at eu.etaxonomy.taxeditor.editor.descriptiveDataSet.character.CharacterEditor$l.widgetSelected(CharacterEd
itor.java:160)

at org.eclipse.swt.widgets.TypedListener.handleEvent (TypedListener. java:249)

at org.eclipse.swt.widgets.EventTable.sendEvent (EventTable. java:84)

at org.eclipse.swt.widgets.Display.sendEvent (Display.java:4418)

at org.eclipse.swt.widgets.Widget.sendEvent (Widget.java:1079)

at org.eclipse.swt.widgets.Display.runDeferredEvents (Display.java:4236)

at org.eclipse.swt.widgets.Display.readAndDispatch (Display.java:3824)

at org.eclipse.ed.ui.internal.workbench.swt.PartRenderingEngine$4.run (PartRenderingEngine. java:1121)

at org.eclipse.core.databinding.observable.Realm.runWithDefault (Realm. java:336)
at org.eclipse.e4.ui.internal.workbench.swt.PartRenderingEngine.run (PartRenderingEngine. java:1022)

at org.eclipse.e4d4.ui.internal.workbench.E4Workbench.createAndRunUI (E4Workbench. java:150)

at org.eclipse.ui.internal.Workbench$5.run (Workbench. java:693)

at org.eclipse.core.databinding.observable.Realm.runWithDefault (Realm. java:336)

at org.eclipse.ui.internal.Workbench.createAndRunWorkbench (Workbench. java:610)

at org.eclipse.ui.PlatformUI.createAndRunWorkbench (PlatformUI. java:148)

at eu.etaxonomy.taxeditor.Application.start (Application.java:24)

at org.eclipse.equinox.internal.app.EclipseAppHandle.run (EclipseAppHandle.java:196)

at org.eclipse.core.runtime.internal.adaptor.EclipseAppLauncher.runApplication(EclipseAppLauncher. java:134

at org.eclipse.core.runtime.internal.adaptor.EclipseAppLauncher.start (EclipseAppLauncher.java:104)

at org.eclipse.core.runtime.adaptor.EclipseStarter.run(EclipseStarter.java:388)

at org.eclipse.core.runtime.adaptor.EclipseStarter.run (EclipseStarter. java:243)

at sun.reflect.NativeMethodAccessorImpl.invoke0 (Native Method)

at sun.reflect.NativeMethodAccessorImpl.invoke (NativeMethodAccessorImpl. java:62)

at sun.reflect.DelegatingMethodAccessorImpl.invoke (DelegatingMethodAccessorImpl. java:43)

at java.lang.reflect.Method.invoke (Method. java:498)

at org.eclipse.equinox.launcher.Main.invokeFramework (Main. java:673)

at org.eclipse.equinox.launcher.Main.basicRun (Main. java:610)

at org.eclipse.equinox.launcher.Main.run (Main.java:1519)
Caused by: java.lang.NoSuchMethodException: com.sun.proxy.$Proxyll29.getUuidAndTitleCache (java.lang.Class, eu.
etaxonomy.cdm.model.common.TermType, java.lang.Integer, java.lang.String)

at java.lang.Class.getMethod(Class.java:1786)

at org.springframework.remoting.support.RemoteInvocation.invoke (RemoteInvocation. java:211)

at org.springframework.remoting.support.DefaultRemoteInvocationExecutor.invoke (DefaultRemoteInvocationExec
utor.java:39)

at org.springframework.remoting.support.RemoteInvocationBasedExporter.invoke (RemoteInvocationBasedExporter
.java:78)

at org.springframework.remoting.support.RemoteInvocationBasedExporter.invokeAndCreateResult (RemoteInvocati
onBasedExporter.java:114)

at org.springframework.remoting.httpinvoker.HttpInvokerServiceExporter.handleRequest (HttpInvokerServiceExp
orter.java:74)

at org.springframework.web.servlet.mvc.HttpRequestHandlerAdapter.handle (HttpRequestHandlerAdapter.java:51)

at org.springframework.web.servlet.DispatcherServlet.doDispatch (DispatcherServlet.java:959)

at org.springframework.web.servlet.DispatcherServlet.doService (DispatcherServlet.java:893)

at org.springframework.web.servlet.FrameworkServlet.processRequest (FrameworkServlet. java:969)

at org.springframework.web.servlet.FrameworkServlet.doPost (FrameworkServlet. java:871)

at javax.servlet.http.HttpServlet.service (HttpServlet.java:707)

at org.springframework.web.servlet.FrameworkServlet.service (FrameworkServlet.java:845)

at javax.servlet.http.HttpServlet.service (HttpServlet.java:790)

at org.eclipse. jetty.servlet.ServletHolder.handle (ServletHolder. java:808)

at org.eclipse.jetty.servlet.ServletHandler$CachedChain.doFilter (ServletHandler.java:1669)

at org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter (FilterChainProxy.java:316
#38 - 02/12/2019 12:38 AM - Andreas Miiller

Even with the latest version from 10pm the problem still exists.

#39 - 02/12/2019 09:43 AM - Katja Luther
in 5.5.0.201902082215 in rem_conf_am | did not get the exception anymore.

#40 - 02/12/2019 03:57 PM - Patrick Plitzner
- Status changed from Feedback to Resolved

- Assignee changed from Patrick Plitzner to Andreas Mliller

#41 - 02/14/2019 10:42 AM - Andreas Miiller
- Status changed from Resolved to Closed

- Assignee changed from Andreas Muiller to Patrick Plitzner

| think we can close this ticket now.

#42 - 02/14/2019 10:42 AM - Andreas Miiller
- % Done changed from 80 to 100
